GRUB-INSTALL(8)

NAMN
grub-install — installera GRUB på en enhet

SYNOPSIS
grub-install [FLAGGA...] [FLAGGA] [INSTALLATIONSENHET]

BESKRIVNING
Installera GRUB på din enhet.

--appended-signature-size=STORLEK
    Lägg till ett noteringssegment som reserverar STORLEK byte åt en tillagd signatur

--compress=no|xz|gz|lzo
    komprimera GRUB-filer [valfritt]

--disable-cli
    avaktivera åtkomst av kommandoradsgränssnittet

--disable-shim-lock
    inaktivera shim_lock verifier

--dtb=FIL
    bädda in en specifik DTB

-d, --directory=KAT
    använd avbilder och moduler under KAT [standard=/usr/lib/grub/<platform>]

--fonts=TYPSNITT
    installera TYPSNITT [standard=unicode]

--install-modules=MODULER
    installera endast MODULER och deras beroenden [standard=all]

-k, --pubkey=FIL
    bädda in FIL som öppen nyckel för signaturkontroll

--locale-directory=DIR använd översättningar i KAT
    [standard=/usr/share/locale]

--locales=SPRÅK
    installera endast SPRÅK [standard=all]

--modules=MODULER
    förinläs specificerade moduler MODULER

--sbat=FIL
    SBAT-metadata

--themes=TEMAN
    installera TEMAN [standard=starfield]

-v, --verbose
    skriv ut informativa meddelanden.

-x, --x509key=FIL
    bädda in FIL som ett x509-certifikat för kontroll av tillagd signatur

--allow-floppy
    gör enheten startbar som floppy (standard för fdX-enheter). Kan gå sönder på en del BIOS.

--boot-directory=KAT
    installera GRUB-avbilder under katalogen KAT/grub istället för katalogen boot/grub

--bootloader-id=ID
    ID för starthanteraren. Detta alternativ är endast tillgängligt på EFI och Mac-datorer.

--core-compress=xz|none|auto
    välj komprimering att använda för kärnavbild

--disk-module=MODUL
    diskmodul att använda (biosdisk eller inbyggd). Detta alternativ är bara tillgängligt på BIOS-mål.

--efi-directory=KAT
    använd KAT som roten för EFI-systempartitionen.

--force
    installera även om problem uppstår

--force-extra-removable
    tvinga installation på den borttagningsbara mediasökvägen också. Detta alternativ är endast tillgängligt på EFI.

--force-file-id
    använd identifierarfil även om UUID är tillgängligt

--label-bgcolor=FÄRG
    använd FÄRG för etikettbakgrund

--label-color=FÄRG
    använd FÄRG för etikett

--label-font=FIL
    använd FIL som typsnitt för etikett

--macppc-directory=KAT använd KAT för PPC MAC-installation.

--no-bootsector
    installera inte i startsektor

--no-nvram
    uppdatera inte ”boot-device”/`Boot*' NVRAM-variabler. Detta alternativ är bara tillgängligt på EFI och IEEE1275-mål.

--no-rs-codes
    Verkställ inte några reed-solomon-koder när core.img bäddas in. Detta alternativ är bara tillgängligt på x86 BIOS.

--no-uefi-secure-boot
    installera inte en avbild som är användbar med UEFI Secure Boot, även om systemet nu startades med den. Denna flagga är endast tillgänglig på EFI.

--product-version=STRÄNG
    använd STRÄNG som produktversion

--recheck
    radera enhetslista om den redan existerar

--removable
    installationsenheten är borttagningsbar. Detta alternativ är endast tillgängligt på EFI.

-s, --skip-fs-probe
    leta inte efter filsystem i ENHET

--target=MÅL
    installera GRUB för plattformen MÅL [standard=i386-pc]; tillgängliga mål: arm-coreboot, arm-efi, arm-uboot, arm64-efi, i386-coreboot, i386-efi, i386-ieee1275, i386-multiboot, i386-pc, i386-qemu, i386-xen, i386-xen_pvh, ia64-efi, loongarch64-efi, mips-arc, mips-qemu_mips, mipsel-arc, mipsel-loongson, mipsel-qemu_mips, powerpc-ieee1275, riscv32-efi, riscv64-efi, sparc64-ieee1275, x86_64-efi, x86_64-xen

--uefi-secure-boot
    installera en avbild som är användbar med UEFI Secure Boot. Denna flagga är endast tillgänglig på EFI och om paketet grub-efi-amd64-signed är installerat.

-?, --help
    visa denna hjälplista

--usage
    ge ett kort användningsmeddelande

-V, --version
    skriv ut programversion

Obligatoriska eller valfria argument till långa flaggor är också obligatoriska eller valfria för motsvarande korta flaggor.

INSTALLATIONSENHET måste vara systemenhetsfilnamnet. grub-install kopierar GRUB-avbilder till boot/grub. På vissa plattformar kan det också installera GRUB på startsektorn.

RAPPORTERA FEL
Rapportera fel till <bug-grub@gnu.org>. Skicka synpunkter på översättningen till >tp-sv@listor.tp-sv.se<.

SE ÄVEN
grub-mkconfig(8), grub-mkimage(1), grub-mkrescue(1)

Den fullständiga dokumentationen för grub-install underhålls som en Texinfo-manual. Om programmen info och grub-install är ordentligt installerade på ditt system, bör kommandot

    info grub-install

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.